# PhasicFlow: IncludeMask< T, Operator > Class Template Reference

IncludeMask< T, Operator > Class Template Reference
Inheritance diagram for IncludeMask< T, Operator >:
[legend]
Collaboration diagram for IncludeMask< T, Operator >:
[legend]

## Public Member Functions

| TypeInfoTemplate2 ("IncludeMask", T, Operator)
| IncludeMask (const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder)
| add_vCtor (includeMask, IncludeMask, dictionary)
bool | isIncluded (int32 n) const override
Public Member Functions inherited from includeMask
| TypeInfo ("includeMask")
| includeMask (const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder)
virtual | ~includeMask ()=default
| create_vCtor (includeMask, dictionary,(const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder),(dict, opType, timeFolder))
word | fieldName () const
word | fieldType () const
word | operatorType () const
auto & | timeFolder ()
bool | operator() (int32 n) const

## Protected Attributes

Operator | operator_
pointField_H< T > | field_
Protected Attributes inherited from includeMask
word | fieldName_
word | fieldType_
word | operatorType_
readFromTimeFolder & | timeFolder_

## Additional Inherited Members

Static Public Member Functions inherited from includeMask
static uniquePtr< includeMask > | create (const dictionary &dict, const word &opType, readFromTimeFolder &timeFolder)
Static Protected Member Functions inherited from includeMask
static bool | getFieldType (const dictionary &dict, readFromTimeFolder &timeFolder, word &fName, word &fType)

## Detailed Description

### template<typename T, typename Operator>
class pFlow::IncludeMask< T, Operator >

Definition at line 181 of file IncludeMask.hpp.

## Constructor & Destructor Documentation

## IncludeMask()

IncludeMask | ( | const dictionary & | dict,
|  | const word & | opType,
|  | readFromTimeFolder & | timeFolder
| ) |  |

inline

Definition at line 195 of file IncludeMask.hpp.

## Member Function Documentation

## TypeInfoTemplate2()

TypeInfoTemplate2 | ( | "IncludeMask< T, Operator >" | ,
|  | T | ,
|  | Operator |
| ) |  |

## add_vCtor()

add_vCtor | ( | includeMask | ,
|  | IncludeMask< T, Operator > | ,
|  | dictionary |
| ) |  |

## isIncluded()

bool isIncluded | ( | int32 | n | ) | const

inlineoverridevirtual

Implements includeMask.

Definition at line 210 of file IncludeMask.hpp.

References IncludeMask< T, Operator >::field_, n, and IncludeMask< T, Operator >::operator_.

## Member Data Documentation

## operator_

Operator operator_

protected

Definition at line 187 of file IncludeMask.hpp.

Referenced by IncludeMask< T, Operator >::isIncluded().

## field_

pointField_H<T> field_

protected

Definition at line 189 of file IncludeMask.hpp.

Referenced by IncludeMask< T, Operator >::isIncluded().

The documentation for this class was generated from the following file:

- utilities/postprocessPhasicFlow/IncludeMask.hpp